by Reggiehammy in
Announcers Sounds
Click to rate this skin!
[Total: 8 Average: 3.5]

Index


SKIN STATUS : UPDATED


SKIN INfos

  • Sounds replaced: “Base Summoner’s Rift and ARAM Announcer”
  • Author: “ReggieHammy”
  • Skin Version: “2.0”
  • Description: “Replaces default annoucer (SR/ARAM), with the Thresh Announcer”
  • Special Thanks To: “NekoHiko#1180


LINKS


CHANGELOGS

1.0

FIrst release

2.0

Edit

  • editedNormalized certain audio files


Installation

This tutorial works for ALL types of custom skins you can find on this website. It does not matter if they come as .fantome or .zip, the installation is the same, as long as you have the latest update of the program.


Bugs and errors

Custom Skins currently on this page should work for every patch, unless the skin status states otherwise.
If you are sure the skin itself has issues, even though you installed it correctly, please let us know in the comments!

Make sure to check out our FAQ and Error fixes to solve any issues you might have.
If your problem still persists, join our Discord and ask in the #help channel.

Skin status and what does it mean

Updated: The skin is fully working for the latest League of Legends patch.

Bugged: The skin works ingame but has some minor bugs.

Outdated: The skin does not work for the latest League of Legends patch.

8 Comments

 by lTCH in 18/06/2021

Someone now where l can download the brazilian version?

 by MiariMaykr in 23/05/2021

The Brazillian version doesn't work ;-;

 by SpiderSlayer22 in 06/05/2021

I've tried downloading the UK/USA version of the Dark Star thresh announcer and the WAD file says its an invalid entry. Don't know how to fix it.

 by pok in 24/03/2021

excellent work the mod at least in english us works incredible as far as i tried

 by Gick in 23/03/2021

Hello, I tried the .panton version of the thresh announcer in English, when I use the program and start the game it says that the announcer is fine but when I test it it sounds the default one. Tonight I'm going to try again, if someone works with the announcer using pantom let me know.

 by Yorker in 19/01/2021

It doesn't work for me as well. I download it and try to add downloaded zip file but I get an error message: „The WAD folder of Thresh Announcer - 2.0 (byReggieHammy) contains invalid entries: WAD/“ I tried to unzip the file and in WAD folder is „Map11.en_US.wad.client“ file so I tried to add the mod in phantom but phantom cant see this file. it could see only .zip files and .fantome files. I also tried to change it to Map11.en_US.fantome but this didn't work as well. Please try to solve this problem. Thanks.

 by KikiNeosquall in 10/01/2021

That doesn't work for me. :( I downloaded French version, but that doesn't work. Did I do something wrong ?

 by Andrew Ennis in 11/02/2021

I will look into this

Comment your feedback or questions here (English only!). If you get any error it is better to ask for help on our discord: https://discord.gg/wxpMA4Ay2G